Package: groovy.lang

## [Java] Class Sequence

- groovy.lang.Sequence

- All Implemented Interfaces and Traits:
    GroovyObject

      public class Sequence
      extends ArrayList

  Represents a sequence of objects which represents zero or many instances of of objects of a given type. The type can be omitted in which case any type of object can be added.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Sequence ()`
    `Sequence (Class type)`
    `Sequence (Class type, List content)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `add(int index, Object element)`
    `` | `boolean` | `add(Object element)`
    `` | `boolean` | `addAll(Collection c)`
    `` | `boolean` | `addAll(int index, Collection c)`
    `` | `protected void` | `checkCollectionType(Collection c)` Checks that each member of the given collection are of the correct type
    `` | `protected void` | `checkType(Object object)` Checks that the given object instance is of the correct type otherwise a runtime exception is thrown
    `` | `void` | `clear()`
    `` | `boolean` | `equals(Object that)`
    `` | `boolean` | `equals(Sequence that)`
    `` | `MetaClass` | `getMetaClass()`
    `` | `Object` | `getProperty(String property)`
    `` | `int` | `hashCode()`
    `` | `Object` | `invokeMethod(String name, Object args)`
    `` | `int` | `minimumSize()`
    `` | `Object` | `remove(int index)`
    `` | `protected void` | `removeRange(int fromIndex, int toIndex)`
    `` | `void` | `set(Collection collection)` Sets the contents of this sequence to that of the given collection.
    `` | `Object` | `set(int index, Object element)`
    `` | `void` | `setMetaClass(MetaClass metaClass)`
    `` | `void` | `setProperty(String property, Object newValue)`
    `` | `Class` | `type()` @return the type of the elements in the sequence or null if there is no type constraint on this sequence

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class ArrayList`

    `remove, remove, size, get, equals, hashCode, clone, indexOf, clear, lastIndexOf, isEmpty, replaceAll, add, add, subList, toArray, toArray, iterator, contains, spliterator, addAll, addAll, set, forEach, sort, ensureCapacity, trimToSize, removeIf, getFirst, getLast, addFirst, addLast, removeFirst, removeLast, removeAll, retainAll, listIterator, listIterator, toString, containsAll, getClass, notify, notifyAll, wait, wait, wait, toArray, stream, parallelStream, reversed, reversed`

    `class AbstractList`

    `remove, get, equals, hashCode, indexOf, clear, lastIndexOf, add, add, subList, iterator, addAll, set, listIterator, listIterator, remove, size, toString, isEmpty, toArray, toArray, contains, addAll, removeAll, retainAll, containsAll, getClass, notify, notifyAll, wait, wait, wait, toArray, stream, spliterator, removeIf, parallelStream, forEach, replaceAll, sort, getFirst, getLast, addFirst, addLast, removeFirst, removeLast, reversed, reversed`

- - ### Constructor Detail

    - #### public Sequence()

    - #### public Sequence(Class type)

    - #### public Sequence(Class type, List content)

  - ### Method Detail

    - #### public void add(int index, Object element)

    - #### public boolean add(Object element)

    - #### public boolean addAll(Collection c)

    - #### public boolean addAll(int index, Collection c)

    - #### protected void checkCollectionType(Collection c)

      Checks that each member of the given collection are of the correct type

    - #### protected void checkType(Object object)

      Checks that the given object instance is of the correct type otherwise a runtime exception is thrown

    - #### public void clear()

    - #### public boolean equals(Object that)

    - #### public boolean equals(Sequence that)

    - #### public MetaClass getMetaClass()

    - #### public Object getProperty(String property)

    - #### public int hashCode()

    - #### public Object invokeMethod(String name, Object args)

    - #### public int minimumSize()

    - #### public Object remove(int index)

    - #### protected void removeRange(int fromIndex, int toIndex)

    - #### public void set(Collection collection)

      Sets the contents of this sequence to that of the given collection.

    - #### public Object set(int index, Object element)

    - #### public void setMetaClass(MetaClass metaClass)

    - #### public void setProperty(String property, Object newValue)

    - #### public Class type()

      Returns:
        the type of the elements in the sequence or null if there is no type constraint on this sequence